Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004811OCamlCamlp4public2009-06-01 22:222012-04-10 23:20
Reporterdim 
Assigned Todim 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.00.0+dev 
Summary0004811: Ast filters are not applied in the toplevel
DescriptionIn camlp4/Camlp4Top/Top.ml, parse_fun keeps a list of token streams associated to lexing buffers, so filters are only applied once, and loading syntax extension defining ast filters have no effect.
TagsNo tags attached.
Attached Files

- Relationships
related to 0005579resolveddim When a plugin is loaded in the toplevel, Token.Filter.define_filter has no effect before the first syntax error 

-  Notes
(0007321)
dim (developer)
2012-04-10 23:20

Fixed.

Commits 12336 and 12337.

- Issue History
Date Modified Username Field Change
2009-06-01 22:22 dim New Issue
2009-06-01 22:22 dim Status new => assigned
2009-06-01 22:22 dim Assigned To => ertai
2012-04-09 19:48 dim Relationship added related to 0005579
2012-04-10 23:20 dim Note Added: 0007321
2012-04-10 23:20 dim Assigned To ertai => dim
2012-04-10 23:20 dim Status assigned => resolved
2012-04-10 23:20 dim Fixed in Version => 4.00.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker